[ATrpms-users] How do you boot between kernels with different nvidia lib versions?

Jeffrey J. Kosowsky atrpms at kosowsky.org
Mon Sep 29 18:15:50 CEST 2008


I am currently maintaining the latest 2 kernels on my system:
  kernel-2.6.25.14-69.fc8.i686.rpm (which uses nvidia-graphics96.43.05)
  kernel-2.6.26.3-14.fc8.i686.rpm (which uses nvidia-graphics96.43.07)

If I try to boot the (older) 2.6.25 kernel, the system still tries to
load the (newer) 96.43.07 nvidia modules which results in the X server
failing since there is no 96.43.07 nvidia module for the 2.6.25 kernel

So is there any way to tell the system to "automagically" use the
right nvidia modules with the right kernels?

Note: I have the following installed on my system:
kernel-2.6.25.14-69.fc8
kernel-2.6.26.3-14.fc8

nvidia-graphics-devices-1.0-6.fc8.noarch.rpm
nvidia-graphics-helpers-0.0.26-27.fc8.i386.rpm
nvidia-graphics96.43.05-96.43.05-94.fc8.i386.rpm
nvidia-graphics96.43.05-kmdl-2.6.25.14-69.fc8-96.43.05-94.fc8.i686.rpm
nvidia-graphics96.43.05-libs-96.43.05-94.fc8.i386.rpm
nvidia-graphics96.43.07-96.43.07-95.fc8.i386.rpm
nvidia-graphics96.43.07-kmdl-2.6.26.3-14.fc8-96.43.07-95.fc8.i686.rpm
nvidia-graphics96.43.07-libs-96.43.07-95.fc8.i386.rpm



More information about the atrpms-users mailing list